common_renderer_lib = static_library('common_renderer',
    '../common/renderer_api.h',
    '../common/render_mesh.h',

    '../common/meshlet_pools.c',
    '../common/render_mesh.c',
	dependencies: [m_dep, thread_dep],
	link_with: runtime_lib,
    include_directories: [engine_incdir, contrib_incdir],
	install: false)